Deletes the table specified by tableId from the dataset. If the table contains data, all the data will be deleted.
IAM Permissions
Requires the bigquery.tables.delete permission on the table.
HTTP request
DELETE https://bigquery.googleapis.com/bigquery/v2/projects/{projectId}/datasets/{datasetId}/tables/{tableId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. Project ID of the table to delete |
datasetId |
Required. Dataset ID of the table to delete |
tableId |
Required. Table ID of the table to delete |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigqueryhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.